CREATE TABLE ffs_config_log_entity (
    CONFIG_LOG_ID        NUMBER(10, 0) ,
    ENTITY_TYPE          NUMBER(8, 0)  ,
    ENTITY_ID            NUMBER(18, 0) ,
    ENTITY_DESC          VARCHAR2(4000),
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONFIG_LOG_ID        NUMBER(10, 0) ,
    ENTITY_TYPE          NUMBER(8, 0)  ,
    ENTITY_ID            NUMBER(18, 0) ,
    ENTITY_DESC          VARCHAR2(4000),
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_ffs_config_log_entity PRIMARY KEY (CONFIG_LOG_ID, ENTITY_TYPE, ENTITY_ID, CONFIG_LOG_ID, ENTITY_TYPE, ENTITY_ID)
);
